coupang
GET/v2/providers/fms/apis/api/v2/vendors/{vendorId}/coupon2609170000

[Instant Discount Coupon] Query one coupon (couponId)

# 01

Summary

[Instant Discount Coupon] Query one coupon (couponId)

# 02

Details

Available buyer market: Korea

This API queries info on one coupon and cannot query coupons by other vendors.

Path

GET/v2/providers/fms/apis/api/v2/vendors/{vendorId}/coupon

Example endpoint

https://api-gateway.coupang.com/v2/providers/fms/apis/api/v2/vendors/A00012345/coupon?couponId=91
# 03

Path parameters

NameTypeDescription
vendorId*string
Seller ID
Unique code issued to Vendor by Coupang
ex) A00012345
# 04

Query parameters

NameTypeDescription
couponId*number
Coupon ID
# 05

Response body

Response message

NameTypeDescription
codeinteger
Server response code
messagestring
Server response message
httpStatusinteger
HTTP Status Code (same as the server response code)
httpStatusMessagestring
HTTP Status Message (same as the server response message)
errorMessagestring
Detailed reason for error other than HTTP Status 200
dataobject
Coupon data
success
data.success
boolean
Success or failure
true or false
content
data.content
object
Data on one coupon
contractId
data.content.contractId
integer
Contract ID
vendorContractId
data.content.vendorContractId
number
Vendor's contract code (Coupang management code)
ex) -1, 1, 2
couponId
data.content.couponId
integer
Coupon ID (Wing's coupon no.)
discount
data.content.discount
integer
Discount rate
endAt
data.content.endAt
string
Effective end date/time
ex)2017-09-01 00:00:00
maxDiscountPrice
data.content.maxDiscountPrice
integer
Max. discount amount
ex) 1000, 10000
promotionName
data.content.promotionName
string
Promotion name
ex) Dress discount coupon for the 2nd wk of Jan
startAt
data.content.startAt
string
Effective start date/time
ex) 2017-08-04 01:00:00
status
data.content.status
string
Coupon status
Code Description
STANDBY Standing by
APPLIED In use
PAUSED Issuance suspended
EXPIRED Expired
DETACHED Item Removed
type
data.content.type
string
Discount type
ex) RATE (fixed-rate discount), FIXED_WITH_QUANTITY(fixed-amount discount per quantity), PRICE(fixed-amount discount)
wowExclusive
data.content.wowExclusive
string
Issuance target

false (all: Default)
true (Rocket Wow members)
Pagination
data.Pagination
object[]
No paging as it queries one coupon

Response Example

{
  "code": 200,
  "message": "OK",
  "httpStatus": 200,
  "httpStatusMessage": "OK",
  "errorMessage": "",
  "data": {
    "success": true,
    "content": {
      "contractId": 10,
      "vendorContractId": null,
      "promotionName": null,
      "couponId": 91,
      "status": "PAUSED",
      "type": "RATE",
      "maxDiscountPrice": 1000000,
      "discount": 99,
      "startAt": "2017-11-22 00:00:00",
      "endAt": "2017-11-23 23:59:00",
      "wowExclusive": "false"
    },
    "pagination": null
  }
}
# 06

Error codes

HTTPCodeMessage
400HTTP_400Bad Request

Error specification

HTTPTypeError messageSolution
400400 (check request parameter)

Check access to vendor info.

Check if the seller ID (vendorId) is correct.

400400 (check request parameter)

The coupon doesn't exist. Check the coupon no.

Check if the coupon ID (couponId) is correct.